Subject: Re: [PATCH net-next 1/2] net: enetc: cache accesses to &priv->si->hw

From: Jakub Kicinski <[email-masked]>
Date: Thu, 22 Sep 2022 19:42:14 -0700

On Wed, 21 Sep 2022 17:43:48 +0300 Vladimir Oltean wrote:
> The &priv->si->hw construct dereferences 2 pointers and makes lines
> longer than they need to be, in turn making the code harder to read.
> 
> Replace &priv->si->hw accesses with a "hw" variable when there are 2 or
> more accesses within a function that dereference this. This includes
> loops, since &priv->si->hw is a loop invariant.

Could you resend? pw checker could not apply it, it must have depended 
on the fixes from net.